Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.util
Class XMLToken

    java.lang.Object
      org.basex.util.XMLToken

    public final class XMLToken

extends java.lang.Object

This class provides convenience operations for XML-specific character operations.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Method Summary
`static boolean` | `isFirstLetter(int ch)` Checks if the specified character is an XML first-letter.
`static boolean` | `isLetterOrDigit(int ch)` Checks if the specified character is an XML letter.
`static boolean` | `isName(byte[] v)` Checks if the specified token is a valid Name.
`static boolean` | `isNCName(byte[] v)` Checks if the specified token is a valid NCName.
`static boolean` | `isNMToken(byte[] v)` Checks if the specified token is a valid NMToken.
`static boolean` | `isQName(byte[] val)` Checks if the specified token is a valid QName.
`static boolean` | `isXMLLetter(int ch)` Checks if the specified character is an XML letter.
`static boolean` | `isXMLLetterOrDigit(int ch)` Checks if the specified character is an XML letter.
`static boolean` | `valid(long ch)` Checks if the specified character is a valid XML character.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### valid

    public static boolean valid(long ch)

  Checks if the specified character is a valid XML character.

  Parameters:
    `ch` - the letter to be checked
  Returns:
    result of comparison

### isXMLLetter

    public static boolean isXMLLetter(int ch)

  Checks if the specified character is an XML letter.

  Parameters:
    `ch` - character
  Returns:
    result of check

### isXMLLetterOrDigit

    public static boolean isXMLLetterOrDigit(int ch)

  Checks if the specified character is an XML letter.

  Parameters:
    `ch` - character
  Returns:
    result of check

### isFirstLetter

    public static boolean isFirstLetter(int ch)

  Checks if the specified character is an XML first-letter.

  Parameters:
    `ch` - the letter to be checked
  Returns:
    result of comparison

### isLetterOrDigit

    public static boolean isLetterOrDigit(int ch)

  Checks if the specified character is an XML letter.

  Parameters:
    `ch` - the letter to be checked
  Returns:
    result of comparison

### isNCName

    public static boolean isNCName(byte[] v)

  Checks if the specified token is a valid NCName.

  Parameters:
    `v` - value to be checked
  Returns:
    result of check

### isName

    public static boolean isName(byte[] v)

  Checks if the specified token is a valid Name.

  Parameters:
    `v` - value to be checked
  Returns:
    result of check

### isNMToken

    public static boolean isNMToken(byte[] v)

  Checks if the specified token is a valid NMToken.

  Parameters:
    `v` - value to be checked
  Returns:
    result of check

### isQName

    public static boolean isQName(byte[] val)

  Checks if the specified token is a valid QName.

  Parameters:
    `val` - value to be checked
  Returns:
    result of check

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD